> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.telekesher.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.telekesher.dev/_mcp/server.

# Update application configuration

PATCH https://api.telekesher.dev/api/v1/app
Content-Type: application/json

Update the authenticated application's webhook delivery URL. Set `webhook_url` to null or an empty string to disable webhook delivery. Updated webhook settings apply to deliveries created after this request succeeds.

Reference: https://docs.telekesher.dev/api/application-configuration/update-application-configuration

## Authentication

- `Authorization` header (bearer token, required) — Application auth. Send `Authorization: Bearer <app_uuid>:<api_key>` using any active key in the app's collection. See [Authentication](https://voice-platform.docs.buildwithfern.com/api/authentication) for details.

## Request

### Body (application/json)

- `webhook_url` (string, optional, nullable) — HTTP or HTTPS webhook delivery URL. HTTPS is recommended because HTTP does not provide transport encryption. Set to null or an empty string to disable webhook delivery.

## Response

### 204

Application configuration updated

## Examples

**Request**

```json
{
  "webhook_url": "https://api.example.com/webhooks"
}
```

**SDK Code**

```python Application_updateApplicationConfiguration_example
import requests

url = "https://api.telekesher.dev/api/v1/app"

payload = { "webhook_url": "https://api.example.com/webhooks" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Application_updateApplicationConfiguration_example
const url = 'https://api.telekesher.dev/api/v1/app';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"webhook_url":"https://api.example.com/webhooks"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Application_updateApplicationConfiguration_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.telekesher.dev/api/v1/app"

	payload := strings.NewReader("{\n  \"webhook_url\": \"https://api.example.com/webhooks\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Application_updateApplicationConfiguration_example
require 'uri'
require 'net/http'

url = URI("https://api.telekesher.dev/api/v1/app")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"webhook_url\": \"https://api.example.com/webhooks\"\n}"

response = http.request(request)
puts response.read_body
```

```java Application_updateApplicationConfiguration_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.telekesher.dev/api/v1/app")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"webhook_url\": \"https://api.example.com/webhooks\"\n}")
  .asString();
```

```php Application_updateApplicationConfiguration_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.telekesher.dev/api/v1/app', [
  'body' => '{
  "webhook_url": "https://api.example.com/webhooks"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Application_updateApplicationConfiguration_example
using RestSharp;

var client = new RestClient("https://api.telekesher.dev/api/v1/app");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"webhook_url\": \"https://api.example.com/webhooks\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Application_updateApplicationConfiguration_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["webhook_url": "https://api.example.com/webhooks"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.telekesher.dev/api/v1/app")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```